SQ(1)

NAME
sq key userid strip - Strip a user ID

SYNOPSIS
sq key userid strip [OPTIONS] FILE

DESCRIPTION
Strip a user ID.

Note that this operation does not reliably remove User IDs from a certificate that has already been disseminated! (OpenPGP software typically appends new information it receives about a certificate to its local copy of that certificate. Systems that have obtained a copy of your certificate with the User ID that you are trying to strip will not drop that User ID from their copy.)

In most cases, you will want to use the 'sq key userid revoke' operation instead. That issues a revocation for a User ID, which can be used to mark the User ID as invalidated.

However, this operation can be useful in very specific cases, in particular: to remove a mistakenly added User ID before it has been uploaded to key servers or otherwise shared.

Stripping a User ID may change how a certificate is interpreted. This is because information about the certificate like algorithm preferences, the primary key's key flags, etc. is stored in the User ID's binding signature.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

-o, --output=FILE
    Write to FILE or stdout if omitted

    [default: -]

-u, --userid=USERID
    The User IDs to strip. Values must exactly match a User ID.

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

First, generate a key:

    sq key generate --userid '<juliet@example.org>' \
        --output juliet.key.pgp

Then, strip a User ID:

    sq key userid strip --userid '<juliet@example.org>' \
        --output juliet-new.key.pgp juliet.key.pgp

SEE ALSO
sq(1), sq-key(1), sq-key-userid(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)